/** @file cryptopp_begin.h
 * Include this header before including cryptopp headers. It disables warnings
 * produced by many cryptopp headers. Include @c cryptopp_end.h afterwards.
 */

/*
 * begin        : Jul 2003
 * copyright    : (C) 2003 Stepan Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifdef COMPILER_ICC

// Note: You will still see plenty of warnings when compiling cryptopp sources
// or massiv sources that use cryptopp templates, but not when including
// network headers.

// Set level of some warnings to 4.
// 327: NULL reference is not allowed.
// 654: patrial override of overloaded function.
// 1125: hidden virtual function - override intended?
#pragma warning ( 4 327 654 1125 )

#endif // COMPILER_ICC
