/** @file random.h
 * Random number generator functions.
 */

/*
 * begin        : Mon Dec 1 2003
 * copyright    : (C) 2003 by Marek Vondrak
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it according to instructions in massiv/doc/licenses/source.txt.       *
 *                                                                         *
 ***************************************************************************/

#ifndef DEMO_RANDOM_H
#define DEMO_RANDOM_H


#ifndef DEMO_LIB_H
#include "lib/shared/lib.h"
#endif


namespace Demo {
namespace Lib {

INJECT_CORE_SYMBOLS();


/**
 * Random number generator functions.
 */
class Random
    {
public:

    /** Returns a random number from [ 0, 1 ] range with uniform distribution. */
    static Float32 random();

    /**
     * Returns a random vector with components generated uniformly from [ -1, 1 ]
     * range.
     */
    static SVector2 random_vector();

    }; // Random


} // namespace Demo::Lib
} // namespace Demo

#endif // DEMO_RANDOM_H
